﻿using System.Collections.ObjectModel;

namespace TestProject
{
    /// <summary>
    /// 직원 리스트
    /// </summary>
    public class EmployeeList
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 데이터 구하기 - GetData()

        /// <summary>
        /// 데이터 구하기
        /// </summary>
        /// <returns>직원 컬렉션</returns>
        public ObservableCollection<Employee> GetData()
        {
            ObservableCollection<Employee> collection = new ObservableCollection<Employee>();

            collection.Add(new Employee() { ID = 1 , ParentID = 0, Name = "Gregory S. Price"    , Department = ""          , Position = "President"      });
            collection.Add(new Employee() { ID = 2 , ParentID = 1, Name = "Irma R. Marshall"    , Department = "Marketing" , Position = "Vice President" });
            collection.Add(new Employee() { ID = 3 , ParentID = 1, Name = "John C. Powell"      , Department = "Operations", Position = "Vice President" });
            collection.Add(new Employee() { ID = 4 , ParentID = 1, Name = "Christian P. Laclair", Department = "Production", Position = "Vice President" });
            collection.Add(new Employee() { ID = 5 , ParentID = 1, Name = "Karen J. Kelly"      , Department = "Finance"   , Position = "Vice President" });
            collection.Add(new Employee() { ID = 6 , ParentID = 2, Name = "Brian C. Cowling"    , Department = "Marketing" , Position = "Manager"        });
            collection.Add(new Employee() { ID = 7 , ParentID = 2, Name = "Thomas C. Dawson"    , Department = "Marketing" , Position = "Manager"        });
            collection.Add(new Employee() { ID = 8 , ParentID = 2, Name = "Angel M. Wilson"     , Department = "Marketing" , Position = "Manager"        });
            collection.Add(new Employee() { ID = 9 , ParentID = 2, Name = "Bryan R. Henderson"  , Department = "Marketing" , Position = "Manager"        });
            collection.Add(new Employee() { ID = 10, ParentID = 3, Name = "Harold S. Brandes"   , Department = "Operations", Position = "Manager"        });
            collection.Add(new Employee() { ID = 11, ParentID = 3, Name = "Michael S. Blevins"  , Department = "Operations", Position = "Manager"        });
            collection.Add(new Employee() { ID = 12, ParentID = 3, Name = "Jan K. Sisk"         , Department = "Operations", Position = "Manager"        });
            collection.Add(new Employee() { ID = 13, ParentID = 3, Name = "Sidney L. Holder"    , Department = "Operations", Position = "Manager"        });
            collection.Add(new Employee() { ID = 14, ParentID = 4, Name = "James L. Kelsey"     , Department = "Production", Position = "Manager"        });
            collection.Add(new Employee() { ID = 15, ParentID = 4, Name = "Howard M. Carpenter" , Department = "Production", Position = "Manager"        });
            collection.Add(new Employee() { ID = 16, ParentID = 4, Name = "Jennifer T. Tapia"   , Department = "Production", Position = "Manager"        });
            collection.Add(new Employee() { ID = 17, ParentID = 5, Name = "Judith P. Underhill" , Department = "Finance"   , Position = "Manager"        });
            collection.Add(new Employee() { ID = 18, ParentID = 5, Name = "Russell E. Belton"   , Department = "Finance"   , Position = "Manager"        });

            return collection;
        }

        #endregion
    }
}